%define python3_pkgversion 3.11
%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}

# Created by pyp2rpm-3.3.10
%global pypi_name opentelemetry_proto
%global pypi_version 1.22.0

Name:           opentelemetry_proto
Version:        1.22.0
Release:        1.0.2%{?dist}
Summary:        OpenTelemetry Python Proto

License:        Apache 2.0
URL:            https://github.com/open-telemetry/opentelemetry-python/tree/main/opentelemetry-proto
Source0:        https://files.pythonhosted.org/packages/source/o/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

Patch0:         0001-Add-setup.py.patch
Patch1:         0002-Fix-license.patch
BuildArch:      noarch

BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-setuptools
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-rpm-macros

%description
%{summary}


%package -n     %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
Requires:       python%{python3_pkgversion}-protobuf
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}


%description -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%autosetup -n %{pypi_name}-%{pypi_version}
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_install
%{?scl:EOF}


%files -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/opentelemetry/proto
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Aug 28 2024 Rafael Barron <rafael.barron@oracle.com> - 1.22.0-1.0.2
- Add missing dependencies protobuf

* Tue Jul 30 2024 Craig Guiller <craig.guiller@oracle.com> - 1.22.0-1.0.1
- Rebuild for python 3.11
- Add setup.py
- Fix license

* Tue Jul 30 2024 Craig Guiller <craig.guiller@oracle.com> - 1.22.0-1
- Initial package
